Page MenuHomePhabricator

MetadataMappingHandler::createMetadataBatchJob() broken by JobQueueGroup::push() not returning a value
Closed, ResolvedPublic

Description

After I19fe58a939706d3f7594d937e0bcad6d97c52a50, JobQueueGroup::push() returns null. GWToolset treats this as an error condition and refuses to set to the job.


Version: unspecified
Severity: critical

Details

Reference
bz64931

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:19 AM
bzimport set Reference to bz64931.
bzimport added a subscriber: Unknown Object (MLST).
Tgr created this task.May 5 2014, 11:40 PM

Change 131749 had a related patch set uploaded by Gergő Tisza:
WIP Do not expect return value from JobQueueGroup::push()

https://gerrit.wikimedia.org/r/131749

Tgr added a comment.May 6 2014, 8:31 PM

Seems to be fixed by the patch. We might want to backport it to catch up with https://gerrit.wikimedia.org/r/#/c/126746/ which hit Commons yesterday.

Change 131749 merged by jenkins-bot:
Do not expect return value from JobQueueGroup::push()

https://gerrit.wikimedia.org/r/131749

Gilles triaged this task as Unbreak Now! priority.Dec 4 2014, 10:11 AM
Gilles moved this task from Untriaged to Done on the Multimedia board.
Gilles lowered the priority of this task from Unbreak Now! to Needs Triage.Dec 4 2014, 11:21 AM